Subject: [Idr] Please review draft-li-idr-sr-policy-path-segment-00, comments are wellcome!

From: "Chengli (Cheng Li)" <[email-masked]>
Date: Thu, 27 Jun 2019 07:54:18 +0000

Hi WG,

We have updated our draft, welcome to review! Comments are always welcome!

Thanks to Shraddha's comments again! Main modifications are:

* add IANA text
* address comments from Shraddha
* update refs
                * change name since it is longer than limitation.

Regards,
Cheng

-----Original Message-----

From: [email-masked] [mailto:[email-masked]]

Sent: Thursday, June 27, 2019 3:29 PM

To: Lizhenbin <[email-masked]>; Huanan Chen <[email-masked]>; Mach Chen <[email-masked]>; China Telecom <[email-masked]>; Dongjie (Jimmy) <[email-masked]>; Mach Chen <[email-masked]>; Chengli (Cheng Li) <[email-masked]>

Subject: New Version Notification for draft-li-idr-sr-policy-path-segment-00.txt

A new version of I-D, draft-li-idr-sr-policy-path-segment-00.txt

has been successfully submitted by Cheng Li and posted to the IETF repository.

Name:                  draft-li-idr-sr-policy-path-segment

Revision:              00

Title:                      SR Policy Extensions for Path Segment and Bidirectional Path

Document date:               2019-06-27

Group:                  Individual Submission

Pages:                   11

URL:            https://www.ietf.org/internet-drafts/draft-li-idr-sr-policy-path-segment-00.txt

Status:         https://datatracker.ietf.org/doc/draft-li-idr-sr-policy-path-segment/

Htmlized:       https://tools.ietf.org/html/draft-li-idr-sr-policy-path-segment-00

Htmlized:       https://datatracker.ietf.org/doc/html/draft-li-idr-sr-policy-path-segment

Abstract:

   A Segment Routing (SR) policy is a set of candidate SR paths

   consisting of one or more segment lists with necessary path

   attributes.  For each SR path, it may also have its own path

   attributes, and Path Segment is one of them.  A Path Segment is

   defined to identify an SR path, which can be used for performance

   measurement, path correlation, and end-2-end path protection.  Path

   Segment can be also used to correlate two unidirctional SR paths into

   a bidirectional SR path which is required in some scenarios, for

   example, mobile backhaul transport network.

   This document defines extensions to BGP to distribute SR policies

   carrying Path Segment and bidirectional path information.

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat

From: Idr [mailto:[email-masked]] On Behalf Of Chengli (Cheng Li)
Sent: Tuesday, June 11, 2019 11:50 AM
To: Shraddha Hegde <[email-masked]>
Cc: [email-masked]; [email-masked]
Subject: Re: [Idr] draft-li-idr-sr-policy-path-segment-distribution

CC to IDR WG ML

Cheng

From: Chengli (Cheng Li)
Sent: Tuesday, June 11, 2019 11:45 AM
To: 'Shraddha Hegde' <[email-masked]<mailto:[email-masked]>>; Shraddha Hegde <shraddha=[email-masked]<mailto:shraddha=[email-masked]>>; [email-masked]<mailto:[email-masked]>
Subject: RE: draft-li-idr-sr-policy-path-segment-distribution

Hi Shraddha,

Sorry for my delay. We plan to update the draft by IETF 105. Please see my reply inline.

Thanks,
Cheng

From: Shraddha Hegde [mailto:[email-masked]]
Sent: Monday, June 10, 2019 2:19 PM
To: Shraddha Hegde <shraddha=[email-masked]<mailto:shraddha=[email-masked]>>; [email-masked]<mailto:[email-masked]>
Subject: RE: draft-li-idr-sr-policy-path-segment-distribution

Authors,

Any update on these comments?

Rgds
Shraddha

From: Idr <[email-masked]<mailto:[email-masked]>> On Behalf Of Shraddha Hegde
Sent: Tuesday, May 7, 2019 9:51 AM
To: [email-masked]<mailto:[email-masked]>
Cc: [email-masked]<mailto:[email-masked]>
Subject: [Idr] draft-li-idr-sr-policy-path-segment-distribution

Authors,

I have a few comments on the document.

1. Section 3 :SR Policy for Path Identifier
Change to "Path Identifier for SR Policy"
 [Cheng] Looks better. Path Identifier in SR policy?  Will update in next revision.

2. sec 3 SR Policy for Path Identifier

The  path segment can appear at both segment-list level and SR policy level, and it could also appear only
at one level depending upon usecase. Path segment at segment list level and at SR-Policy level may be
same or may be different based on usecase and the ID allocation scope.
[Cheng] Agree.

3. I think there should be a separate section on allocation of Path Identifier.
The scope of allocation and resultant scaling considerations.

[Cheng] Let's see how to add it on next revision.

4. SR Path Segment Sub-TLV
The length of the SR Path Segment is defined to be of variable length.
This should be well defined for SR-MPLS to be 20 bit and  upto 128 bit
for SRv6.
 [Cheng] Agree, but I think 32bit for SR-MPLS will be better.

Rgds
Shraddha